#language: ru

@milk_reception

Функционал: 01_milk_reception.01.014 Заполнение справочника Виды цен

Сценарий: 01_milk_reception.01.014 Создание вида цены себестоимости
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Виды цен'
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Вид цены (создание)'
	И в поле 'Наименование' я ввожу текст 'Себестоимость'
	И из выпадающего списка "Валюта" я выбираю по строке 'RUB'
	И я устанавливаю флаг 'Включает НДС'
	И я устанавливаю флаг 'Доступны уточнения в соглашениях'
	И я меняю значение переключателя 'Способ задания' на 'Наценка на вид цены'
	И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
	И я меняю значение переключателя 'Цена задается' на 'На характеристику'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид цены (создание) *' в течение 20 секунд
	Тогда открылось окно 'Виды цен'
	И я закрываю окно 'Виды цен'

Сценарий: 01_milk_reception.01.014 Создание вида цены для поставщика 1
	И В командном интерфейсе я выбираю 'Производство' 'Виды цен'
	Тогда открылось окно 'Виды цен'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Вид цены (создание)'
	И в поле 'Наименование' я ввожу текст 'Поставщик 1'
	И из выпадающего списка "Валюта" я выбираю по строке 'RUB'
	И я меняю значение переключателя 'Способ задания' на 'Наценка на вид цены'
	И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид цены (создание)' в течение 20 секунд
	Тогда открылось окно 'Виды цен'
	И я закрываю окно 'Виды цен'

Сценарий: 01_milk_reception.01.014 Создание вида цены для поставщика 2
	И В командном интерфейсе я выбираю 'Производство' 'Виды цен'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Вид цены (создание)'
	И в поле 'Наименование' я ввожу текст 'Поставщик 2'
	И из выпадающего списка "Валюта" я выбираю по строке 'RUB'
	И я меняю значение переключателя 'Способ задания' на 'Наценка на вид цены'
	И я меняю значение переключателя 'Способ задания' на 'Ручной ввод'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Вид цены (создание)' в течение 20 секунд
	Тогда открылось окно 'Виды цен'
	И я закрываю окно 'Виды цен'